TRANSLATIONS = \
$(srcdir)/valknut.bs.ts \
$(srcdir)/valknut.cs.ts \
$(srcdir)/valknut.da.ts \
$(srcdir)/valknut.de.ts \
$(srcdir)/valknut.el.ts \
$(srcdir)/valknut.en_GB.ts \
$(srcdir)/valknut.es.ts \
$(srcdir)/valknut.fi.ts \
$(srcdir)/valknut.fr.ts \
$(srcdir)/valknut.hu.ts \
$(srcdir)/valknut.is.ts \
$(srcdir)/valknut.it.ts \
$(srcdir)/valknut.lv.ts \
$(srcdir)/valknut.nb.ts \
$(srcdir)/valknut.nl.ts \
$(srcdir)/valknut.pl.ts \
$(srcdir)/valknut.pt_br.ts \
$(srcdir)/valknut.ro.ts \
$(srcdir)/valknut.rus.ts \
$(srcdir)/valknut.sk.ts \
$(srcdir)/valknut.sr.ts \
$(srcdir)/valknut.sr@latin.ts \
$(srcdir)/valknut.sv.ts

QM_FILES = \
valknut.bs.qm \
valknut.cs.qm \
valknut.da.qm \
valknut.de.qm \
valknut.el.qm \
valknut.en_GB.qm \
valknut.es.qm \
valknut.fi.qm \
valknut.fr.qm \
valknut.hu.qm \
valknut.is.qm \
valknut.it.qm \
valknut.lv.qm \
valknut.nb.qm \
valknut.nl.qm \
valknut.pl.qm \
valknut.pt_br.qm \
valknut.ro.qm \
valknut.rus.qm \
valknut.sk.qm \
valknut.sr@latin.qm \
valknut.sr.qm \
valknut.sv.qm

all-local: translations.pro $(QM_FILES)

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/translation
	$(INSTALL_DATA) $(QM_FILES) $(DESTDIR)$(pkgdatadir)/translation

clean-local:
	rm -vf $(QM_FILES)

lupdate: translations.pro
	$(LUPDATE) translations.pro

# because with "lrelease translations.pro" you cannot specify the output directory
# for the .qm files and they end up in $(srcdir) regardless of $(builddir)
# this is necessary

valknut.bs.qm : $(srcdir)/valknut.bs.ts
	$(LRELEASE) $< -qm $@

valknut.cs.qm : $(srcdir)/valknut.cs.ts
	$(LRELEASE) $< -qm $@

valknut.da.qm : $(srcdir)/valknut.da.ts
	$(LRELEASE) $< -qm $@

valknut.de.qm : $(srcdir)/valknut.de.ts
	$(LRELEASE) $< -qm $@

valknut.el.qm : $(srcdir)/valknut.el.ts
	$(LRELEASE) $< -qm $@

valknut.en_GB.qm : $(srcdir)/valknut.en_GB.ts
	$(LRELEASE) $< -qm $@

valknut.es.qm : $(srcdir)/valknut.es.ts
	$(LRELEASE) $< -qm $@

valknut.fi.qm : $(srcdir)/valknut.fi.ts
	$(LRELEASE) $< -qm $@

valknut.fr.qm : $(srcdir)/valknut.fr.ts
	$(LRELEASE) $< -qm $@

valknut.hu.qm : $(srcdir)/valknut.hu.ts
	$(LRELEASE) $< -qm $@

valknut.is.qm : $(srcdir)/valknut.is.ts
	$(LRELEASE) $< -qm $@

valknut.it.qm : $(srcdir)/valknut.it.ts
	$(LRELEASE) $< -qm $@

valknut.lv.qm : $(srcdir)/valknut.lv.ts
	$(LRELEASE) $< -qm $@

valknut.nb.qm : $(srcdir)/valknut.nb.ts
	$(LRELEASE) $< -qm $@

valknut.nl.qm : $(srcdir)/valknut.nl.ts
	$(LRELEASE) $< -qm $@

valknut.pl.qm : $(srcdir)/valknut.pl.ts
	$(LRELEASE) $< -qm $@

valknut.pt_br.qm : $(srcdir)/valknut.pt_br.ts
	$(LRELEASE) $< -qm $@

valknut.ro.qm : $(srcdir)/valknut.ro.ts
	$(LRELEASE) $< -qm $@

valknut.rus.qm : $(srcdir)/valknut.rus.ts
	$(LRELEASE) $< -qm $@

valknut.sk.qm : $(srcdir)/valknut.sk.ts
	$(LRELEASE) $< -qm $@

valknut.sr@latin.qm : $(srcdir)/valknut.sr.ts
	$(LRELEASE) $< -qm $@

valknut.sr.qm : $(srcdir)/valknut.sr@latin.ts
	$(LRELEASE) $< -qm $@

valknut.sv.qm : $(srcdir)/valknut.sv.ts
	$(LRELEASE) $< -qm $@
